## mini-buildd 1.0.24

=== debian/changelog ===
mini-buildd (1.0.24) unstable; urgency=medium

  This and that, and fixup regression from 1.0.22:

  * [64615bd] compat: Update dh compat from 7 to 9 (no other changes
    required).
  * [415c691] control: mini-buildd: Add missing dep on lsb-base (init
    script).
  * [5391c86] repository overview: Add "Direct links" convenience section.
    Thanks to Marc Haber (Closes: 790059)
  * [74363c7] doc/admin.rst: Improve docs about 0.8.x migration and
    reprepro. Thanks to Marc Haber (Closes: 790292)
  * [4edbf1f] doc/admin.rst: Add doc how to manually use an external
    archive key. Thanks to Marc Haber (Closes: 790775)
  * [4d1256c] control: mini-buildd-common: This may be 'Multi-Arch:
    foreign' (as hinted)
  * [33f214b] Fix regression introduced in 1.0.22 (1eeece7): Builds using
    ccache fail on pre-existing chroots due to missing 'libdir'.

 -- Stephan Sürken <absurd@debian.org>  Sat, 22 Oct 2016 07:54:13 +0000

mini-buildd (1.0.23) unstable; urgency=medium

  This release brings the live buildlog feature && some:

  * [e24769c] [html] "Sync" last packages+builder status templates; only
    allow description column to wrap.
  * [5641406] [html] Arch status tooltip: Remove confusing URL, clarify
    text when building is in progress.
  * [9493933] [html] Last packages: Use standard hover style for arch
    stati links.
  * [822f7b4] changes.py: "Changes" class: Internal rename:
    TYPES->TYPE2FILENAME_ID.
  * [915aa9d] changes.py: "Changes" class: Add get_spool_id() (and
    somewhat renice hash code).
  * [5e38795] reprepro.py: Remove extra debug log (call.py now already
    logs this suficently).
  * [505ab4e] packager.py: Use new misc.rmdirs to purge spool dir instead
    of shutils.rmtree directly (should improves error handling here).
  * [14dd7af] changes.py: Prefix changes type ("upload" or "buildrequest")
    to spool id.
  * [8710070] Live buildlogs: Initial implementation: On webhome, access
    live buildlogs from active "Packager" list or from active or last
    "Builder" list. Thanks to Marc Haber (Closes: 809127)
  * [3a5b17a] builder.py: Live buildlogs: Add support to expire live
    buildlog files from spool (5 days).
  * [a40aa1a] views.py: live buildlogs: Rather use plain text/HTTP 200
    message when not available.
  * [58085b9] builder.py: live buildlogs: Guard code against prossibly
    pre-existing buildlog files.
  * [10190f9] packager.py: live buidlogs: Rather use new live_buildlog_url
    var, and put traditional 'http_remote_url' to old use.

 -- Stephan Sürken <absurd@debian.org>  Thu, 20 Oct 2016 15:29:45 +0000

mini-buildd (1.0.22) unstable; urgency=medium

  Odds & Ends: Some more items from the roadmap, HTML
  improvements, misc fixes:

  * [e94d25d] doc/admin.rst: Add BTRFS to table of chroot backend options.
  * [502aa4f] models/chroot.py: Call 'args' 'call' like in Call from
    call.py...
  * [6a975f8] models/source.py: Add get_apt_line_raw() (give components
    explicitly).
  * [a1c8e27] chroot.py: Update source chroot's apt line on check().
  * [53ddbc8] [devel] Cosmetic fix: Don't double-issue version.
  * [c2e1f38] [html] Last package status: Span buildlog link over all text
    (less confusing).
  * [1072d70] [html] Last package status: Always show status description
    (instead of "hovering tooltip").
  * [32415ed] [html] Add "homepage on the web" link to index.
  * [cd5f797] [html] mini-buildd_messagelist.css: Also customize
    'li.success' (fixes layout glitch on messages when deleting
    instances).
  * [0df352c] django_settings.py: Add static content; initially, add
    static version info here.
  * [4142ce1] [html]: Add component version information to footer
    (tooltip).
  * [c2be2b6] [html] Emphasize anchors (links) as bold.
  * [305e4db] mini-buildd.service: Add default value for mini-buildd
    options (Fixes: Would not run with default args (--verbose) when
    debconf unchanged).
  * [c95d4de] misc.py: Add rmdirs() (analogous to mkdirs()) function &&
    update docs.
  * [1eeece7] Move per-chroot 'libdir' to extra directory '~var/chroots-
    libdir', and restrict build-time mounts. Thanks to Marc Haber (Closes:
    802681)
  * [8be71c5] control: Add b-d on dh-python.
  * [3edabb9] mini-buildd: Make sure spool and chroot lib dirs exist (now
    needed by schroot setup).
  * [6779f39] [devel]: Update p-k test config magic to be even more magic
    (and call it before testing).
  * [5f2d923] doc/admin.rst: Add hint about avoiding django downgrades.

 -- Stephan Sürken <absurd@debian.org>  Sun, 09 Oct 2016 08:14:49 +0000

mini-buildd (1.0.21) unstable; urgency=medium

  This release mainly features code refactoring around the internal
  subprocess warpper and the addition of the BTRFS chroot backend.

  Subprocess wrapper refactoring. While this mostly cleans up code, it
  should also provide a nicer "log experience" for the administrator:

  * [7797f73] call.py: Add helper to open a new file rw.
  * [a1e9172] call.py: call(): Use stdin and stderr when given explicitly.
  * [c9005dc] daemon.py: Use call.py (for genchanges), not subprocess
    directly.
  * [9ee1134] call.py: Rename call.sose_call -> call.sose, and make it
    just a wrapper for call().
  * [2893b89] call.py: Use shell-like output of command for all such logs.
  * [aec91a8] call.py: Initial implementation of new class 'Call'.
  * [165d91f] call.py: Update 'sose' function to use new class.
  * [01d9fc6] call.py: Call(): Separate raw && unicode properties for
    stderr/stdout.
  * [95dd481] call.py: Use new Call() class in call().
  * [b7103a9] call.py: Call(): Add "human-readable label" for nicer
    logging.
  * [651deba] gnupg.py: Update to new call.py for "export" subprocess
    call.
  * [fdf80e8] builder.py: Update sbuild call to new call.py.
  * [85129d2] call.py/gnupg.py: Bulk-remove obsoleted call arguments.
  * [077d1a7] builder.py: Remove now-obsoleted extra sbuild call log.
  * [aaf2b70] call.py: Remove obsoleted functions: log_call_output,


=== debian/control ===
Source: mini-buildd
Section: devel
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
X-Python-Version: >=2.7
Build-Depends: debhelper (>= 8.1.0~),
               dh-python,
               dh-systemd (>= 1.5),
               man-db (>= 2.5.1),
               po-debconf,
               python (>= 2.7),
               python-setuptools,
               python-sphinx (>= 1.1.3),
               python-pygraphviz,
               help2man,
               python-argparse,
               python-argcomplete (>= 0.5.4),
               python-keyring (>= 1.6),
               python-daemon (>= 2.0.5),
               python-debian (>= 0.1.18~),
               python-cherrypy3,
               python-pyftpdlib (>= 1.2.0),
               python-django (>= 1.7),
               python-django (<< 1:1.11),
               python-django-registration (>= 2.0.4),
               gnupg
Standards-Version: 3.9.8
Vcs-Git: git://anonscm.debian.org/git/collab-maint/mini-buildd.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mini-buildd.git
Homepage: http://mini-buildd.installiert.net/

Package: python-mini-buildd
Section: python
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         python-argparse,
         python-argcomplete (>= 0.5.4),
         python-keyring (>= 1.6),
         python-debian (>= 0.1.25~)
Description: minimal build daemon - python library and user tool
 Mini-buildd is an easy-to-configure autobuilder and
 repository for deb packages.
 .
 This package includes the control utility "mini-buildd-tool" along
 with the "mini_buildd" Python package.

Package: mini-buildd
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
         ${sphinxdoc:Depends},
         lsb-base (>= 3.0-6),
         python-mini-buildd (= ${binary:Version}),
         mini-buildd-common (= ${binary:Version}),
         python-daemon (>= 2.0.5),
         python-cherrypy3,
         python-pyftpdlib (>= 1.2.0),
         python-django (>= 1.7),
         python-django (<< 1:1.11),
         python-django-registration (>= 2.0.4),
         libjs-jquery,
         adduser,
         sudo,
         gnupg,
         dirmngr,
         reprepro (>= 4.17),
         debootstrap (>= 1.0.81~),
         schroot (>= 1.6.10-2~),
         schroot (<< 1.7),
         sbuild (>= 0.71),
         dpkg-dev (>= 1.17),
         devscripts (>= 2.14.5~),
         lintian
Recommends: python-apt
Suggests: haveged, lvm2, qemu-user-static, binfmt-support, btrfs-progs
Breaks: mini-buildd-rep (<< 1.0.0~),
        mini-buildd-bld (<< 1.0.0~)
Replaces: mini-buildd-rep,
          mini-buildd-bld
Description: minimal build daemon - daemon
 Mini-buildd is an easy-to-configure autobuilder and
 repository for deb packages.
 .
 This package provides the main daemon.

Package: mini-buildd-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: minimal build daemon - 08x upgrade dummy package
 This is a dummy package assuring mini-buildd-common is
 upgraded (as a possible purge of the 0.8.x package
 would badly break mini-buildd 1.0).

## mini-buildd 1.0.25

=== debian/changelog ===
mini-buildd (1.0.25) unstable; urgency=medium

  This and that, and fixing up the meta distribution feature:

  * [d255ad9] misc.py: class Distribution(): Validity check must be done
    _after_ distribution mapping.
  * [7b1f6cd] changes.py: In buildrequests, 'Distribution' key must be
    mapped to internal (in case of a Meta-Distributions are configured).
    Thanks to Boyuan Yang (Closes: 832643)
  * [455774d] Some refactoring/code cleanup around meta distributions.
  * [384b2c2] wizards: Developer Layout: Remove 'stable=squeeze-unstable'
    meta distribution (this doesn't really make much sense).
  * [9983968] models/repository.py: Add ambiguity error check in meta dist
    generator function (and add it to Repository.check()).
  * [2c8f80a] doc/admin.rst: Add section for "Layouts/Meta-Distributions".
  * [d0204e9] models/repository.py: meta-dist-check: Fix wording, and hint
    to manual.
  * [dda651b] [devel]: We may no longer "convenience-remove" python-
    secretstorage for testing (p-k now depends on it).
  * [15c158e] examples/auto-setup: Also create debdev repository.
  * [096e868] [html] repository_detail.html: Add sources.list download
    links, and some cosmetics.
  * [d6ad715] [html] Use HTML5 doctype.
  * [10936d4] [devel]: Add initial (html) tidy checker.
  * [5d013c9] [html]: HTML5: Bulk-replace <tt> by <kbd>.
  * [3d3c5b2] [html]: HTML5: Fix cherrypy indexes.
  * [d28bb39] mini-buildd-tool: Don't print server logs if --quiet is
    given.
  * [a3a0eaf] [devel]: tidy check: Don't check for repo URLs (may not be
    ready).
  * [c2988c9] [devel]: Also test extra packages when available.
  * [a56b6c1] control: Update dependency for sbuild to 0.72 (has patch for
    squeeze).
  * [56b4d11] Update debhelper compat level: 9->10 (no changes needed).
  * [3d612c2] rules: With dh compat 10, we no longer need to have extra
    systemd option explicitly.

 -- Stephan Sürken <absurd@debian.org>  Fri, 04 Nov 2016 21:46:25 +0000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Stephan Sürken <absurd@debian.org>
 X-Python-Version: >=2.7
-Build-Depends: debhelper (>= 8.1.0~),
+Build-Depends: debhelper (>= 10),
                dh-python,
                dh-systemd (>= 1.5),
                man-db (>= 2.5.1),
@@ -68,7 +68,7 @@
          debootstrap (>= 1.0.81~),
          schroot (>= 1.6.10-2~),
          schroot (<< 1.7),
-         sbuild (>= 0.71),
+         sbuild (>= 0.72),
          dpkg-dev (>= 1.17),
          devscripts (>= 2.14.5~),
          lintian

## mini-buildd 1.0.26

=== debian/changelog ===
mini-buildd (1.0.26) unstable; urgency=medium

  Besides the usual various fixes, this release adds new (per cl)
  "Upload Options": Nicer notation and some *new* options:
   - ignore lintian now optionally per arch.
   - run lintian, optionally per arch.
   - set apt priority for internal packages.
  See user manual for more information on this.

  * [79f529d] [html] Improve packager/builder status table design (partly
    as suggested in #843396, thx Boyuan)
  * [446ba1a] changes.py: Move "magic" code to new subclass "Options".
  * [96258ed] control: "Harden" dep on dpkg-dev (>= 1.7.27~) for sbuild.
  * [0e80bc6] changes.py: Options: Better name for private class var.
  * [25a0eee] devel: 'pep8' has been renamed to 'pycodestyle'.
  * [0d275c3] pycodestyle: Fixup some new warnings.
  * [f9fbe15] .pycodestyle: Ignore new check E741 for now && add clear
    text description for our exceptions.
  * [0c98a82] [devel]: Fix pycodestyle args to give error source &&
    description.
  * [3e0555d] changes.py: Initial new impl of Changes.Options() (replacing
    "magic options").
  * [a92732b] [devel]: Remove extra test against explicit unicode literals
    (we need that notation for doctest expect strings).
  * [55dcdc3] test packages: Update config.* (new autotools).
  * [442691b] changes.py: Options: Imporove Bool class.
  * [31dc434] changes.py: Options: Improve/cleanup "magic" options compat.
  * [03e3107] user doc/changes.py: Update exception wording, and add
    documentation for new "Upload Options".
  * [5d7136d] New upload options: Remove any internal reference to now-
    deprecated magic style.
  * [9b8f0f1] Rm .ui-auto.conf: Not used for a long time, and has
    confusing vintage content.
  * [3a4f9de] changes.py: Changes: Make 'options' a (on demand, cached)
    property.
  * [04f27c7] changes.py: Options: Implement "run-lintian".
  * [8078012] changes.py: Options.get(): Add check against internal code
    using unknown key.
  * [cdd7a34] changes.py: Options: Implement "internal-apt-priority".
  * [e370c1e] daemon.py: Move private general _port() method before
    specializations (port, portext).
  * [5e5c4e2] changes.py: Options: Use class attr. for "keyword" string so
    we do not (so we don't need to duplicate this later).
  * [f3a25e5] user.rst: Improve description for auto-ports.
  * [28fb995] daemon.py: *port*(): Refactor soemwhat so we can give
    comments and options separately.
  * [ac55b85] daemon.py: port(), portext(): Add optional "options"
    argument.
  * [7840616] api: port, portext: Add extra "options" argument.
  * [0a987ad] [html] Improve 'current API cmd' display/refine.

 -- Stephan Sürken <absurd@debian.org>  Sun, 27 Nov 2016 12:21:49 +0000

=== debian/control ===
--- 
+++ 
@@ -69,7 +69,7 @@
          schroot (>= 1.6.10-2~),
          schroot (<< 1.7),
          sbuild (>= 0.72),
-         dpkg-dev (>= 1.17),
+         dpkg-dev (>= 1.17.27~),
          devscripts (>= 2.14.5~),
          lintian
 Recommends: python-apt

## mini-buildd 1.0.27

=== debian/changelog ===
mini-buildd (1.0.27) unstable; urgency=medium

  Misc cleanups, minor fixes and documentation improvements:

  * [24e1e48] wizards: Remove support for etch, lenny (no longer work with
    current sbuild).
  * [593edef] wizards: Remove support for Ubuntu sources < trusty (14.04):
    saucy, raring, quantal, precise.
  * [d145b23] wizards: Add support for Ubuntu yakkety (16.10).
  * [6a3344c] API "list": Fixup some wrong wording in help strings.
  * [95b55de] [devel]: Don't write *.upload file on test package upload.
  * [1a75207] misc.py: Use import wrapper method for keyring module
    (instead of importing on module level).
  * [40ffada] doc/admin.rst: Add note about "vsyscall removal" from Debian
    kernel.
  * [e4b4321] doc/user.rst: Add extra section for default layout.
  * [c209e99] doc/admin.rst: Add notes/instructions about default layout
    changes.
  * [fc628d0] doc/admin.rst: Improve note about vsyscall.
  * [ccff09d] api/client_1_0.py: Improve and complement API doc.
  * [d4659d4] django_settings.py: Move version info code/imports to
    functions (this makes pseudo settings no longer depend on cherrypy and
    pyftpd).
  * [72c1d8f] control: Move deps for p-d and p-d-r to module package
    (needed by py client API and partly by mini-buildd-tool).
  * [68e3d94] doc/user.rst: At least add some initial human-readable
    documentation about the API.
  * [1193d48] doc/user.rst: Client API: Add note about problems when using
    different django versions.
  * [964f571] control: Update dep on django: We need >= 1.7.4 (live build
    logs need 'FileResponse' class).

 -- Stephan Sürken <absurd@debian.org>  Thu, 22 Dec 2016 09:35:19 +0000

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,10 @@
          python-argparse,
          python-argcomplete (>= 0.5.4),
          python-keyring (>= 1.6),
-         python-debian (>= 0.1.25~)
+         python-debian (>= 0.1.25~),
+         python-django (>= 1.7.4),
+         python-django (<< 1:1.11),
+         python-django-registration (>= 2.0.4)
 Description: minimal build daemon - python library and user tool
  Mini-buildd is an easy-to-configure autobuilder and
  repository for deb packages.
@@ -56,9 +59,6 @@
          python-daemon (>= 2.0.5),
          python-cherrypy3,
          python-pyftpdlib (>= 1.2.0),
-         python-django (>= 1.7),
-         python-django (<< 1:1.11),
-         python-django-registration (>= 2.0.4),
          libjs-jquery,
          adduser,
          sudo,

## mini-buildd 1.0.28

=== debian/changelog ===
mini-buildd (1.0.28) unstable; urgency=medium

  * [de458eb] control: Depend on reprepro >=5 (buildinfo files). (Closes:
    843608)
  * [f4f6951] misc.py: run_as_thread(): thread_func arg should not be
    optional.
  * [0885291] Add human readable thread naming, and add thread names to
    logging.

 -- Stephan Sürken <absurd@debian.org>  Mon, 02 Jan 2017 10:20:08 +0000

=== debian/control ===
--- 
+++ 
@@ -64,7 +64,7 @@
          sudo,
          gnupg,
          dirmngr,
-         reprepro (>= 4.17),
+         reprepro (>= 5),
          debootstrap (>= 1.0.81~),
          schroot (>= 1.6.10-2~),
          schroot (<< 1.7),

## mini-buildd 1.0.29~bpo8+1

=== debian/changelog ===
mini-buildd (1.0.29~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * [fb078b9] Revert "Depend on ‘python-daemon’ 2.0.5 for new lockfile
    API."
  * [2cc82b2] Revert "Remove references to obsolete
    ‘daemon.pidlockfile’ API."
  * [b9025c7] control: For systems <= jessie: Depend on python-daemon < 2
    and python-lockfile (<= 1:0.9~) (incompatible API changes).
  * [d3a70ea] debian/gbp.conf: Point to 1.0.x-jessie.
  * [231f6d3] debian/gbp.conf: Omit merge commits for dch.

 -- Stephan Sürken <absurd@debian.org>  Tue, 31 Jan 2017 16:14:58 +0000

mini-buildd (1.0.29) unstable; urgency=medium

  * [cc636fa] mini-buildd: Improve stale pidfile recognition (when pid has
    been re-used by other programs).
  * [fd69be4] [doc] mini-buildd.PIDFile: Typo fix, and remove note about
    HOST-MainThread-PID extra file (no longer happening).
  * [dea3aa9] call.py: Add general functionality to retry calls.
  * [937ad97] gnupg.py: Retry the gpg sign call. This aims to be a
    workaround (not fix) for unclear behaviour described in #849551.
  * [ad73073] call.py: Add newline in docstr (avoid warning).
  * [cbf53f6] django_settings.py: Fix py warning in context_precessor()
    (Fixes: Warning string in man page (breaking repr. builds)).
  * [005532d] mini-buildd[-tool]: Make '--version' print to stdout
    (workaround for py2 issue18920).
  * [7c3c46e] setup.py: help2man: No longer use "--no-discard-stderr" (may
    result in corrupt man pages).
  * [96f079d] home.html: Fix tidy warnings (duplicate ids).
  * [devel]: Several changes to internal dev helper script (see git).

 -- Stephan Sürken <absurd@debian.org>  Tue, 17 Jan 2017 11:18:43 +0000

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,9 @@
                python-argparse,
                python-argcomplete (>= 0.5.4),
                python-keyring (>= 1.6),
-               python-daemon (>= 2.0.5),
+               python-daemon (>= 1.5.5),
+               python-daemon (<< 2),
+               python-lockfile (<= 1:0.9~),
                python-debian (>= 0.1.18~),
                python-cherrypy3,
                python-pyftpdlib (>= 1.2.0),
@@ -56,7 +58,9 @@
          lsb-base (>= 3.0-6),
          python-mini-buildd (= ${binary:Version}),
          mini-buildd-common (= ${binary:Version}),
-         python-daemon (>= 2.0.5),
+         python-daemon (>= 1.5.5),
+         python-daemon (<< 2),
+         python-lockfile (<= 1:0.9~),
          python-cherrypy3,
          python-pyftpdlib (>= 1.2.0),
          libjs-jquery,

## mini-buildd 1.0.30

=== debian/changelog ===
mini-buildd (1.0.30) unstable; urgency=medium

  Maintenance release. Executive summary:
   - Post-stretch wizard updates
   - Make it work with django 1.11

  [ Stephan Sürken ]
  * [90da0bf] [devel] Make mini-buildd-tool shortcut for test calls
    global.
  * [be288b4] [devel]: Add wait4package(): Wait until a packge is in-repo.
  * [65ecdd6] [devel]: checkall(): Add migration tests.
  * [1c086cd] models/repository.py: Improve two error messages (add
    version) when package is not found in repo.
  * [c79c627] mini-buildd-tool: Pre-check for None for http_args dict
    (Fixes (wheezy only): API call has 'version=None' instead of
    'version=' when --version not given explicitly.)
  * [8c93d5e] lintian: Add hardcoded suppress for 'bad-ubuntu-
    distribution-in-changes-file'.

  [ Gerhard A. Dittes ]
  * [ab2cecd] mini-buildd.css: Improve "status table" appearance.

  [ Stephan Sürken ]
  * [412ccc9] wizards: Add support for Ubuntu zesty (17.04).
  * [8367a44] wizards: Improve source wizard code: Don't repeat key ids.
  * [fc1ca10] wizards: Cleanup Ubuntu sources, support only zesty, yakkety
    (latest) + xenial, trusty (latest LTS).
  * [80ce5a4] wizards: Archives: Replace httpredir.debian.org by
    deb.debian.org.
  * [144242e] wizards: Sources: Update keys for stretch after release.
  * [46a6766] wizards: Add support for buster.
  * [64b2425] wizards: Add support for jessie-backports-sloppy.
  * [a1395ea] wizards: Add support for stretch-backports.
  * [48fbe4d] django: Update to aware datetime objects ('USE_TZ'), and
    allow django 1.11.
  * [e73c85f] Fixup "aware datetime" port for py2: Unlike py3, we need to
    get timezones from python-tz.
  * [5d61d2c] [devel] .pycodestyle: Disable "bare except" warning (won't
    fix in 1.0.x).

 -- Stephan Sürken <absurd@debian.org>  Wed, 28 Jun 2017 14:21:02 +0200

=== examples/packages/mbd-test-cpp/debian/control ===
Source: mbd-test-cpp
Section: misc
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2

Package: mbd-test-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

## mini-buildd 1.0.31

=== debian/changelog ===
mini-buildd (1.0.31) unstable; urgency=medium

  Hotfix for foolish lintian check regression:

  * [39415cc] builder/packager.py: Fixup import order.
  * [f546e03] Revert "lintian: Add hardcoded suppress for 'bad-ubuntu-
    distribution-in-changes-file'."

 -- Stephan Sürken <absurd@debian.org>  Thu, 29 Jun 2017 17:13:41 +0200

=== debian/control ===
--- 
+++ 
@@ -16,15 +16,15 @@
                python-argparse,
                python-argcomplete (>= 0.5.4),
                python-keyring (>= 1.6),
-               python-daemon (>= 1.5.5),
-               python-daemon (<< 2),
-               python-lockfile (<= 1:0.9~),
+               python-daemon (>= 2.0.5),
                python-debian (>= 0.1.18~),
                python-cherrypy3,
                python-pyftpdlib (>= 1.2.0),
                python-django (>= 1.7),
-               python-django (<< 1:1.11),
+               python-django (<< 1:1.12),
                python-django-registration (>= 2.0.4),
+               python-tz,
+               python-tzlocal,
                gnupg
 Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/git/collab-maint/mini-buildd.git
@@ -41,8 +41,10 @@
          python-keyring (>= 1.6),
          python-debian (>= 0.1.25~),
          python-django (>= 1.7.4),
-         python-django (<< 1:1.11),
-         python-django-registration (>= 2.0.4)
+         python-django (<< 1:1.12),
+         python-django-registration (>= 2.0.4),
+         python-tz,
+         python-tzlocal
 Description: minimal build daemon - python library and user tool
  Mini-buildd is an easy-to-configure autobuilder and
  repository for deb packages.
@@ -58,9 +60,7 @@
          lsb-base (>= 3.0-6),
          python-mini-buildd (= ${binary:Version}),
          mini-buildd-common (= ${binary:Version}),
-         python-daemon (>= 1.5.5),
-         python-daemon (<< 2),
-         python-lockfile (<= 1:0.9~),
+         python-daemon (>= 2.0.5),
          python-cherrypy3,
          python-pyftpdlib (>= 1.2.0),
          libjs-jquery,

=== examples/packages/mbd-test-ftbfs/debian/control ===
Source: mbd-test-ftbfs
Section: misc
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2

Package: mbd-test-ftbfs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

## mini-buildd 1.0.32

=== debian/changelog ===
mini-buildd (1.0.32) unstable; urgency=medium

  * [d8e0e71] gbp.conf: Configure snapshot number: time stamp.
  * [f6679d0] gnupg.py: Support passwordless key creation for gpg flavor
    2.2 (fixes daemon creation).
  * [9db7196] control: Rm obsoleted b-d for dh-systemd.

 -- Stephan Sürken <absurd@debian.org>  Sat, 30 Sep 2017 15:43:59 +0200

## mini-buildd 1.0.33

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mini-buildd.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mini-buildd.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mini-buildd"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mini-buildd"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
mini-buildd (1.0.33) unstable; urgency=medium

  * [c4663d3] changes.py: buildrequest: Also exclude .changes (fixes:
    failed buildlog sometimes not archived) and .buildinfo files.

 -- Stephan Sürken <absurd@debian.org>  Thu, 04 Jan 2018 18:12:09 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 X-Python-Version: >=2.7
 Build-Depends: debhelper (>= 10),
                dh-python,
-               dh-systemd (>= 1.5),
                man-db (>= 2.5.1),
                po-debconf,
                python (>= 2.7),

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE = 1

%:
	dh $@ --with=python2,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	python setup.py build_sphinx --source-dir=build/sphinx

	# Create bash completion scripts via python-argcomplete
	mkdir -p ./build/bash-completions/
	register-python-argcomplete mini-buildd      | sed 's/_python_argcomplete/_mini_buildd_argcomplete/g'      >./build/bash-completions/mini-buildd
	register-python-argcomplete mini-buildd-tool | sed 's/_python_argcomplete/_mini_buildd_tool_argcomplete/g' >./build/bash-completions/mini-buildd-tool

	# Code to enable latex+pdf manual: Deps: texlive-latex-extra texlive-fonts-recommended
	#sphinx-build -b latex ./build/sphinx ./build/sphinx/latex
	#make --directory ./build/sphinx/latex

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	dh_auto_test
	./devel pydoctests
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/ src/*.egg-info/

override_dh_fixperms:
	dh_fixperms
	chmod 440 debian/mini-buildd/etc/sudoers.d/mini-buildd-sudoers

# Don't compress anything in examples, so scripts and packages can be used as-is.
override_dh_compress:
	dh_compress -X examples/

=== examples/packages/archive-keyring-template/debian/rules ===
#!/usr/bin/make -f

# Originally based on the debian-edu keyring package.

# Keep the rules file simple and avoid any external dependencies
# (like debhelper) so we are more likely to build under any
# Debian (based) release.

instdir=install -d -m 755
instfile=install -m 644
instscript=install -m 755

build:

clean:
	$(checkdir)
	rm -f *.bak *~ */*~ debian/files* debian/*substvars
	rm -rf debian/tmp

binary-indep: checkroot
	test -f %ID%-archive-keyring.gpg

	rm -rf debian/tmp
	$(instdir) debian/tmp/DEBIAN/
	$(instscript) debian/postinst debian/prerm debian/tmp/DEBIAN/

	$(instdir) debian/tmp/usr/share/keyrings/
	$(instfile) %ID%-archive-keyring.gpg debian/tmp/usr/share/keyrings/

	$(instdir) debian/tmp/usr/share/doc/%ID%-archive-keyring/
	$(instfile) README debian/tmp/usr/share/doc/%ID%-archive-keyring/
	$(instfile) debian/changelog debian/tmp/usr/share/doc/%ID%-archive-keyring/changelog
	gzip -9 -v debian/tmp/usr/share/doc/%ID%-archive-keyring/*
	$(instfile) debian/copyright debian/tmp/usr/share/doc/%ID%-archive-keyring/

	$(instdir) debian/tmp/usr/share/mini-buildd/sources.list.d/
	cp -a *.list debian/tmp/usr/share/mini-buildd/sources.list.d/

	dpkg-gencontrol -p%ID%-archive-keyring -isp
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:

binary: binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## mini-buildd 1.0.34

=== debian/changelog ===
mini-buildd (1.0.34) unstable; urgency=medium

  [ Stephan Sürken ]
  * [1302fe3] [devel]: test suite: Always use dput --force (make local
    package test work even if there's a changes around).
  * [a31cc60] api/__init__.py: Put http MAXHEADERS patch here (fixes mini-
    buildd-tool, too).
  * [3820b44] pylint 1.8: Make check succeed again.
  * [19cd194] call.py: Fix: call_with_retry() would not raise exception on
    error.
  * [b80da48] test packages: Update config.* (new autotools).
  * [e6df677] control: Replace prio 'extra' by 'optional'.
  * [6bbc4fa] gnupg: Make public key importer more reliable.
  * [884a12f] gnupg.py: import_pub_key(): Try all files
    /u/s/keyrings/*.gpg.
  * [21e1a9c] gnupg.py: Rename var keyFile -> key_file (to suite naming
    conventions).
  * [3ddf213] [devel]: Update purge to include all new debs from 1.1.x
    development.
  * [266bb63] test packages: Update config.* (new autotools).

  [ Gerhard A. Dittes ]
  * [a2e2b02] templates/mini_buildd/base.html: Fix truncated "submit
    buttons" for Firefox >= 57 (alias Quantum).
  * [8c3eb77] devel: Fix missing "sudo" when using "service" command.

  [ Stephan Sürken ]
  * [35b6e53] Setup Wizards/Ubuntu: Drop yakkety, add artful.

 -- Stephan Sürken <absurd@debian.org>  Sun, 11 Mar 2018 15:00:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: mini-buildd
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Stephan Sürken <absurd@debian.org>
 X-Python-Version: >=2.7
 Build-Depends: debhelper (>= 10),
@@ -76,7 +76,7 @@
          devscripts (>= 2.14.5~),
          lintian
 Recommends: python-apt
-Suggests: haveged, lvm2, qemu-user-static, binfmt-support, btrfs-progs
+Suggests: debian-archive-keyring, ubuntu-keyring, haveged, lvm2, qemu-user-static, binfmt-support, btrfs-progs
 Breaks: mini-buildd-rep (<< 1.0.0~),
         mini-buildd-bld (<< 1.0.0~)
 Replaces: mini-buildd-rep,

## mini-buildd 1.0.35

=== debian/changelog ===
mini-buildd (1.0.35) unstable; urgency=medium

  * [a3df092] control: Update Vcs URLs after salsa move.
  * [c1b8a26] builder.py: sbuild: Explicitly add '--no-run-lintian' option
    when lintian is disabled (effectively makes mini-buildd's 'run-
    lintian=false' option actually work ;).
  * [ab88c5b] control: rm obsoleted 'X-Python-Version'.

 -- Stephan Sürken <absurd@debian.org>  Fri, 11 May 2018 22:32:11 +0200

## mini-buildd 1.0.36~bpo9+1

=== debian/changelog ===
mini-buildd (1.0.36~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Stephan Sürken <absurd@debian.org>  Mon, 02 Jul 2018 13:02:28 +0200

mini-buildd (1.0.36) unstable; urgency=medium

  * [9a29242] source.py: wizards: Update signing keys for unstable +
    testing.

 -- Stephan Sürken <absurd@debian.org>  Fri, 22 Jun 2018 16:30:15 +0200

## mini-buildd 1.0.36+deb10u1

=== debian/changelog ===
mini-buildd (1.0.36+deb10u1) buster; urgency=medium

  * [36d75e1] debian/gbp.conf: Update debian branch.
  * [85bd4e0] builder.py: sbuild call: set '--no-arch-all' explicitly
    (Fixes "false" reprepro errors after successful builds w/ sbuild >=
    0.77) (Fixes: #951641)

 -- Stephan Sürken <absurd@debian.org>  Tue, 28 Apr 2020 08:18:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Section: devel
 Priority: optional
 Maintainer: Stephan Sürken <absurd@debian.org>
-X-Python-Version: >=2.7
 Build-Depends: debhelper (>= 10),
                dh-python,
                man-db (>= 2.5.1),
@@ -26,8 +25,8 @@
                python-tzlocal,
                gnupg
 Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/git/collab-maint/mini-buildd.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/mini-buildd.git
+Vcs-Browser: https://salsa.debian.org/debian/mini-buildd
+Vcs-Git: https://salsa.debian.org/debian/mini-buildd.git
 Homepage: http://mini-buildd.installiert.net/
 
 Package: python-mini-buildd

=== examples/packages/archive-keyring-template/debian/control ===
Source: %ID%-archive-keyring
Section: misc
Priority: optional
Maintainer: %MAINT%
Standards-Version: 3.9.1

Package: %ID%-archive-keyring
Architecture: all
Depends: gnupg, apt
Description: mini-buildd archive keys (and sources.lists) for %ID%
 Automatic archive keys and APT sources.list library for
 mini-buildd instance id %ID%.

=== examples/packages/mbd-test-archall/debian/control ===
Source: mbd-test-archall
Section: misc
Priority: extra
Maintainer: Stephan Sürken <absurd@debian.org>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2

Package: mbd-test-archall
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package for mini-buildd, ignore.
 This is just a dummy test package.

## mini-buildd 1.0.36+nmu1

=== debian/changelog ===
mini-buildd (1.0.36+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:02:16 +0800

## mini-buildd 1.0.41

=== debian/changelog ===
mini-buildd (1.0.41) unstable; urgency=medium

  * [916b0d7] wizard: Fix (can now find archived wheezy security again)
    and cleanup hardcoded archive list.

 -- Stephan Sürken <absurd@debian.org>  Sat, 13 Apr 2019 09:13:03 +0200

mini-buildd (1.0.40) unstable; urgency=medium

  Fixes builds for wheezy+jessie (after these were archived in Debian).
  This also rolls back the "Valid-Until backport" (this was incomplete,
  and will do more harm than good for 1.0.x). wheezy/jessie sources need
  to be re-checked to find the new locations:
  * [8c09a43] schroot/setup.d/15mini-buildd-workarounds: wheezy and jessie
    are now archived (need Check-Valid-Until disabled).
  * [23251cf] Revert "source.py: Make the 'Valid-Until-Check' (backported
    in 1.0.37) actually work for python 2."
  * [80026c6] Revert "control: Add missing package dependency on py-
    dateutil."
  * [a9055df] Revert "models/source.py: Add expire check for Release files
    ("Valid-Until")."

 -- Stephan Sürken <absurd@debian.org>  Fri, 29 Mar 2019 11:32:05 +0100

mini-buildd (1.0.39) unstable; urgency=medium

  * [56ab3d4] source.py: Make the 'Valid-Until-Check' (backported in
    1.0.37) actually work for python 2.

 -- Stephan Sürken <absurd@debian.org>  Tue, 26 Mar 2019 09:33:32 +0100

mini-buildd (1.0.38) unstable; urgency=medium

  Fixes regression introduced in 1.0.37:
  * [d88347f] control: Add missing package dependency on py-dateutil.

 -- Stephan Sürken <absurd@debian.org>  Tue, 19 Mar 2019 12:51:34 +0100

mini-buildd (1.0.37) unstable; urgency=medium

  "Buster fixes" release:
  * [3e267ea] builder.py: sbuild call: set '--no-arch-all' explicitly
    (Fixes "false" reprepro errors after successful builds w/ sbuild >=
    0.77)
  * [bb0a6a8] wizards: Remove squeeze autosetup support (repo sigs
    expired).
  * [222b3bb] api/_contrib.py, DebianPackageTracker helper: Fix parsing
    for backport versions (after changes to tracker web sites).
  * [85a7c24] source wizard: Update Ubuntu sources (up to 18.10).
  * [469290a] models/source.py: Add expire check for Release files
    ("Valid-Until").
  * [9ae9ced] Add support for generic per-distribution DEB_BUILD_OPTIONS.
  * [269df5b] .pycodestyle, .pylintrc: Pimp to avoid some new style
    warnings (won't change in stable).
  * [495225f] daemon.py: Fix wrong documentation of sbuild_jobs value.
    (Closes: 922614)
  * [d05485c] source,repository.py: Add support for Debian Security
    sources.
  * [3e79f6e] call.py: Ignore 'sbuild-update --keygen' failures. (Closes:
    924077)

 -- Stephan Sürken <absurd@debian.org>  Mon, 11 Mar 2019 16:19:05 +0100
